SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

SET NAMES utf8mb4;

CREATE DATABASE `revolution_smarthouse` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;
USE `revolution_smarthouse`;

CREATE TABLE `control_units` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `software_address` int(8) unsigned NOT NULL,
  `hardware_address` text COLLATE utf8_bin NOT NULL,
  `value_type` int(8) unsigned NOT NULL,
  `security` text COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `active_state` int(1) unsigned NOT NULL DEFAULT '1',
  `simulate` int(1) unsigned NOT NULL DEFAULT '0',
  `last_state` int(8) NOT NULL DEFAULT '0',
  `timer` bigint(64) NOT NULL DEFAULT '0',
  `timer_target_state` int(8) NOT NULL DEFAULT '0',
  `activation_delay` bigint(64) NOT NULL DEFAULT '0',
  `ewc_version` int(8) NOT NULL DEFAULT '2',
  `metadata` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE `output_states` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `software_id` int(8) NOT NULL,
  `time` bigint(64) unsigned NOT NULL,
  `value` int(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE `scheduled_events` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `control_unit` int(8) unsigned NOT NULL,
  `days` varchar(7) COLLATE utf8_bin NOT NULL,
  `time_start` varchar(5) COLLATE utf8_bin NOT NULL,
  `duration_minutes` bigint(64) NOT NULL DEFAULT '0',
  `metadata` text COLLATE utf8_bin NOT NULL,
  `conditions` text COLLATE utf8_bin NOT NULL,
  `type` int(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE `security_events` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `control_unit` int(8) unsigned NOT NULL,
  `type` int(8) unsigned NOT NULL,
  `metadata` text COLLATE utf8_bin NOT NULL,
  `conditions` text COLLATE utf8_bin NOT NULL,
  `security_id` int(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE `security_sectors` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` text COLLATE utf8_bin NOT NULL,
  `notification_tolerance` int(8) NOT NULL DEFAULT '1',
  `activation_delay` bigint(64) NOT NULL DEFAULT '0',
  `last_state` int(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE `thermostats` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `control_unit` int(8) NOT NULL,
  `value` double NOT NULL,
  `active` int(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE `trigger_events` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `trigger` int(8) unsigned NOT NULL,
  `target` int(8) unsigned NOT NULL,
  `type` int(8) unsigned NOT NULL,
  `metadata` text COLLATE utf8_bin NOT NULL,
  `group_id` int(16) NOT NULL DEFAULT '0',
  `activation_conditions` text COLLATE utf8_bin NOT NULL,
  `deactivation_conditions` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
